/*
 * @Descripttion: 
 * @version: 
 * @Author: TT
 * @Date: 2021-07-01 18:11:46
 * @LastEditors: TT
 * @LastEditTime: 2022-08-30 14:45:19
 */
import 'http_exceptions.dart';

class HttpResponse {
  late bool ok;
  dynamic data;
  String? msg;
  HttpException? error;
  Map<String, dynamic>? response;

  HttpResponse.success(this.data,
      {Map<String, dynamic>? response, String? reqmsg}) {
    ok = true;
    msg = reqmsg;
    if (response != null) {
      this.response = response;
    }
  }

  HttpResponse.failure(
      {String? errorMsg = '网络请求失败',
      int? errorCode = 404,
      Map<String, dynamic>? response,
      this.data}) {
    msg = errorMsg ?? "网络请求失败";
    error = BadRequestException(message: errorMsg, code: errorCode);
    ok = false;
  }

  HttpResponse.failureFormResponse({dynamic data}) {
    error = BadResponseException(data);
    ok = false;
  }

  HttpResponse.failureFromError([HttpException? requeserror]) {
    error = requeserror ?? UnknownException();
    ok = false;
  }
}
